Subject: RE: docbook xml toolchain
From: "Andreas" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 9 May 2003 19:23:43 -0300

...maybe I should mention that I modified your script to execute it properly
and to make it compatible with the original filenames. See attachment.

Thanks again!
Andreas

> Hello Patrick,
>
> Thank you for the details!
> I could not resist and was curious about applying your hints on the newest
> available components. Here is what I discovered:
>
> After downloading the newest available .zip archives of passivetex and
> xmltex from
> <http://www.tei-c.org.uk/Software/passivetex/>
> and extracting your docbook.zip file you sent to the list
> <http://cygwin.com/ml/cygwin/2003-05/msg00462.html>
> I extracted Norman Walsh´s docbook-xsl-1.61.0 stylesheets (available at
> <http://sourceforge.net/project/showfiles.php?group_id=21935>)
> to /usr/local/lib/xml/stylesheets/docbook-xsl
> and finally executed your script given in
> <http://cygwin.com/ml/cygwin/2003-05/msg00461.html>.
>
> The docbook dtd is in /usr/share/docbook-xml42 due to the previous
> installation of Marcel Telkas
> <http://telka.sk/docbook/xml42/docbook-xml42-4.2-1.tar.bz2> package.
>
> The command
> $ dbxml -t pdf thesis.xml
> produces following output:
>
> Making portrait pages on USletter paper (8.5inx11in)
> This is pdfTeXk, Version 3.14159-1.10b (Web2C 7.4.5)
>  %&-line parsing enabled.
> kpathsea: Running mktexfmt pdfxmltex.fmt
> fmtutil: no info for format `pdfxmltex'.
> I can't find the format file `pdfxmltex.fmt'!
>
> I guess this is due to the not correctly applied patches to
> fmtutil.cnf you
> mentioned. The file texmf.cnf is successfully patched like the
> script output
> shows:
>
> ...
> patching file /usr/share/texmf/web2c/fmtutil.cnf
> Hunk #1 succeeded at 43 with fuzz 1 (offset 5 lines).
> Hunk #2 FAILED at 86.
> 1 out of 2 hunks FAILED -- saving rejects to file
> /usr/share/texmf/web2c/fmtutil
> .cnf.rej
> patching file /usr/share/texmf/web2c/texmf.cnf
> Hunk #4 succeeded at 167 (offset 1 line).
> Hunk #5 succeeded at 474 (offset 11 lines).
> ...
>
> Since I never dealt with patching I am quite lost here. Could the
> generated
> fmtutil.cnf.rej file contain any interesting output that helps further
> patching? I attached it...
>
> Is this something cygwin specific?
>
> The command stated above creates at least a fo file. It looks
> good at first
> glance. On Monday I will check if it is valid and if I can process this
> further.
>
> Thank again!
> Andreas
>
> > Andreas,
> >
> > to setup an xml toolchain, you need the docbook dtd, the stylesheets,
> > libxml2 and libxslt packages. The packages contain xmllint - your xml
> > validator - and xsltproc - the processor that applies the xsl stylesheet
> > to your xml source to produce your output result.
> >
> > For generating PDF output, I use passivetex together with xmltex which
> > require the tex packages as well. Note that PDF generation via the xsl
> > stylesheets is still in its early days and require a good deal of
> > stylesheet customization. You get better results for PDF when you use
> > the more mature dsssl stylesheets together with the sgml toolchain. The
> > sgml toolchain can also be used on xml source.
> >
> > passivetex and xmltex is available via the following link:
> > http://www.tei-c.org.uk/Software/passivetex/
> >
> > I use the following script excerpt to install the pdf toolchain:
> >
> > > update_tex()
> > > {
> > >     #install xmltex and passivetex
> > >     if [ -d /usr/share/texmf.local ]; then
> > >       rm -R -f /usr/share/texmf.local
> > >     fi
> > >     if [ -d /usr/share/texmf-var ]; then
> > >       rm -R -f /usr/share/texmf-var
> > >     fi
> > >     mkdir /usr/share/texmf.local
> > >     mkdir /usr/share/texmf-var
> > >     mkdir /usr/share/texmf.local/tex
> > >     mkdir /usr/share/texmf.local/tex/xmltex
> > >     unzip DocbookCygwinXmlTex.zip -d /usr/share/texmf.local/tex/xmltex
> > >     unzip DocbookCygwinPassiveTex.zip -d
> > /usr/share/texmf.local/tex/xmltex
> > >     cp -f DocbookXmltex.tex
> > /usr/share/texmf.local/tex/xmltex/base/xmltex.tex
> > >     patch -N -u /usr/share/texmf/web2c/fmtutil.cnf
> > DocbookCygwinFmtutil.diff
> > >     patch -N -u /usr/share/texmf/web2c/texmf.cnf
> DocbookCygwinTexmf.diff
> > >
> > >     mktexlsr
> > >     texconfig confall
> > >     texconfig rehash
> > >     texconfig init
> > >
> > >     #install dbxml script
> > >     if ! [ -d $HOME/bin ]; then
> > >       mkdir $HOME/bin
> > >     fi
> > >     cp -f DocbookXml.sh $HOME/bin/dbxml
> > >
> > >     if ! [ -L /usr/local/bin/pdfxmltex.exe ]; then
> > >       ln -s /usr/bin/pdftex.exe /usr/local/bin/pdfxmltex.exe
> > >     fi
> > > }
> >
> > I attached the patches for fmtutil.cnf and texmf.cnf. They are for the
> > following versions: XmlTex 2000-01-18, PassiveTeX 2000-05-06. You have
> > to check yourself whether newer versions of those distributions are
> > available and whether the patches still apply. The other 2 files
> > required for the script are attached as well. If those shouldn't come
> > through, feel free to mail me in private.
> >
> > Make sure, $HOME/bin is in your path before you run the script, eg. edit
> > your personal /home/{username}/.profile to include the following lines:
> >
> >     PATH="$PATH:$HOME/bin"
> >     export PATH
> >
> > After the installation you can convert your xml file to html or pdf with
> > the following commands:
> >
> >     dbxml -t html filename.xml
> >
> >     dbxml -t pdf filename.xml
> >
> >     call dbxml -h for help
> >
> >
> > The problems you witnessed with processing entities are caused by
> > xsltproc. Cygwin's version of xsltproc is pretty old and does choke on
> > the latest xsl stylesheets. If you go back to the v1.52.1 xsl
> > stylesheets you should get the results that you're looking for. Unless
> > those require features that are only available via later versions of the
> > stylesheets, of course. Elfyn is currently updating the libxml2 and
> > libxslt packages, so once those are available, your entity problems
> > should go away.
> >
> > More docbook help is available on the docbook and docbook-apps mailing
> > lists: http://www.oasis-open.org/docbook/mailinglist/
> >
> >
> > HTH,
> > Patrick
> >
> >
> > > Hello,
> > >
> > > I got some docbook sources and I am trying to set-up a docbook
> > xml toolchain
> > > under cygwin. I read some package announcements months ago but
> > they didn´t
> > > make it in the netdistro.
> > > Are those good souls still working on a release? Is there
> still work in
> > > progress?
> > >
> > > I am using Marcel Telkas approach [1] to generate html. It
> uses xmlto to
> > > generate different formats. Unfortunately it does not support
> > the processing
> > > of entities.
> > >
> > > I find it quite hard to put the pieces together to come up with
> > a printable
> > > document (pdf) toolchain which is up to date.
> > > Could someone with a wider horizon please share his/her experience in
> > > setting up such a thing?
> > > Any pointer would be highly appreciated!
> > >
> > > Thanks in advance,
> > > Andy
> > >
> > > [1] <http://www.cygwin.com/ml/cygwin-apps/2003-02/msg00148.html>
> >
>
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/